Index: CKEditor/trunk/_source/lang/fo.js
===================================================================
--- CKEditor/trunk/_source/lang/fo.js	(revision 5181)
+++ CKEditor/trunk/_source/lang/fo.js	(revision 5189)
@@ -1,3 +1,3 @@
-﻿/*
+/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -32,5 +32,9 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: 'Rich text editor, %1', // MISSING
+	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+
+	// ARIA descriptions.
+	toolbar	: 'Toolbar', // MISSING
+	editor	: 'Rich Text Editor', // MISSING
 
 	// Toolbar buttons without dialogs.
@@ -69,10 +73,10 @@
 		form			: 'Formur',
 		checkbox		: 'Flugubein',
-		radio		: 'Radioknøttur',
+		radio			: 'Radioknøttur',
 		textField		: 'Tekstteigur',
 		textarea		: 'Tekstumráði',
 		hiddenField		: 'Fjaldur teigur',
 		button			: 'Knøttur',
-		select	: 'Valskrá',
+		select			: 'Valskrá',
 		imageButton		: 'Myndaknøttur',
 		notSet			: '<ikki sett>',
@@ -89,9 +93,17 @@
 		ok				: 'Góðkent',
 		cancel			: 'Avlýst',
+		close			: 'Close', // MISSING
+		preview			: 'Preview', // MISSING
 		generalTab		: 'Generelt',
 		advancedTab		: 'Fjølbroytt',
-		validateNumberFailed	: 'This value is not a number.', // MISSING
+		validateNumberFailed : 'This value is not a number.', // MISSING
 		confirmNewPage	: 'Any unsaved changes to this content will be lost. Are you sure you want to load new page?', // MISSING
 		confirmCancel	: 'Some of the options have been changed. Are you sure to close the dialog?', // MISSING
+		options			: 'Options', // MISSING
+		target			: 'Target', // MISSING
+		targetNew		: 'New Window (_blank)', // MISSING
+		targetTop		: 'Topmost Window (_top)', // MISSING
+		targetSelf		: 'Same Window (_self)', // MISSING
+		targetParent	: 'Parent Window (_parent)', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -117,14 +129,9 @@
 		advanced	: 'Fjølbroytt',
 		type		: 'Tilknýtisslag',
+		toUrl		: 'URL', // MISSING
 		toAnchor	: 'Tilknýti til marknastein í tekstinum',
 		toEmail		: 'Teldupostur',
-		target		: 'Mál',
-		targetNotSet	: '<ikki sett>',
-		targetFrame	: '<ramma>',
-		targetPopup	: '<popup vindeyga>',
-		targetNew	: 'Nýtt vindeyga (_blank)',
-		targetTop	: 'Alt vindeygað (_top)',
-		targetSelf	: 'Sama vindeygað (_self)',
-		targetParent	: 'Upphavliga vindeygað (_parent)',
+		targetFrame		: '<ramma>',
+		targetPopup		: '<popup vindeyga>',
 		targetFrameName	: 'Vís navn vindeygans',
 		targetPopupName	: 'Popup vindeygans navn',
@@ -132,5 +139,5 @@
 		popupResizable	: 'Resizable', // MISSING
 		popupStatusBar	: 'Støðufrágreiðingarbjálki',
-		popupLocationBar	: 'Adressulinja',
+		popupLocationBar: 'Adressulinja',
 		popupToolbar	: 'Amboðsbjálki',
 		popupMenuBar	: 'Skrábjálki',
@@ -144,5 +151,4 @@
 		id				: 'Id', // MISSING
 		langDir			: 'Tekstkós',
-		langDirNotSet	: '<ikki sett>',
 		langDirLTR		: 'Frá vinstru til høgru (LTR)',
 		langDirRTL		: 'Frá høgru til vinstru (RTL)',
@@ -204,5 +210,4 @@
 		border		: 'Bordabreidd',
 		align		: 'Justering',
-		alignNotSet	: '<Einki valt>',
 		alignLeft	: 'Vinstrasett',
 		alignCenter	: 'Miðsett',
@@ -211,4 +216,5 @@
 		widthPx		: 'pixels',
 		widthPc		: 'prosent',
+		widthUnit	: 'width unit', // MISSING
 		height		: 'Hædd',
 		cellSpace	: 'Fjarstøða millum meskar',
@@ -261,5 +267,5 @@
 			invalidRowSpan	: 'Rows span must be a whole number.', // MISSING
 			invalidColSpan	: 'Columns span must be a whole number.', // MISSING
-			chooseColor : 'Choose' // MISSING
+			chooseColor		: 'Choose' // MISSING
 		},
 
@@ -308,11 +314,5 @@
 		action		: 'Hending',
 		method		: 'Háttur',
-		encoding	: 'Encoding', // MISSING
-		target		: 'Mál',
-		targetNotSet	: '<ikki sett>',
-		targetNew	: 'Nýtt vindeyga (_blank)',
-		targetTop	: 'Alt vindeygað (_top)',
-		targetSelf	: 'Sama vindeygað (_self)',
-		targetParent	: 'Upphavliga vindeygað (_parent)'
+		encoding	: 'Encoding' // MISSING
 	},
 
@@ -372,25 +372,29 @@
 		titleButton	: 'Eginleikar fyri myndaknøtt',
 		menu		: 'Myndaeginleikar',
-		infoTab	: 'Myndaupplýsingar',
+		infoTab		: 'Myndaupplýsingar',
 		btnUpload	: 'Send til ambætaran',
-		url		: 'URL',
-		upload	: 'Send',
-		alt		: 'Alternativur tekstur',
+		upload		: 'Send',
+		alt			: 'Alternativur tekstur',
 		width		: 'Breidd',
-		height	: 'Hædd',
+		height		: 'Hædd',
 		lockRatio	: 'Læs lutfallið',
+		unlockRatio	: 'Unlock Ratio', // MISSING
 		resetSize	: 'Upprunastødd',
-		border	: 'Bordi',
-		hSpace	: 'Høgri breddi',
-		vSpace	: 'Vinstri breddi',
+		border		: 'Bordi',
+		hSpace		: 'Høgri breddi',
+		vSpace		: 'Vinstri breddi',
 		align		: 'Justering',
 		alignLeft	: 'Vinstra',
 		alignRight	: 'Høgra',
-		preview	: 'Frumsýning',
 		alertUrl	: 'Rita slóðina til myndina',
-		linkTab	: 'Tilknýti',
+		linkTab		: 'Tilknýti',
 		button2Img	: 'Do you want to transform the selected image button on a simple image?', // MISSING
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
-		urlMissing : 'Image source URL is missing.' // MISSING
+		urlMissing	: 'Image source URL is missing.', // MISSING
+		validateWidth	: 'Width must be a whole number.', // MISSING
+		validateHeight	: 'Height must be a whole number.', // MISSING
+		validateBorder	: 'Border must be a whole number.', // MISSING
+		validateHSpace	: 'HSpace must be a whole number.', // MISSING
+		validateVSpace	: 'VSpace must be a whole number.' // MISSING
 	},
 
@@ -400,10 +404,10 @@
 		properties		: 'Flash eginleikar',
 		propertiesTab	: 'Properties', // MISSING
-		title		: 'Flash eginleikar',
-		chkPlay		: 'Avspælingin byrjar sjálv',
-		chkLoop		: 'Endurspæl',
-		chkMenu		: 'Ger Flash skrá virkna',
-		chkFull		: 'Allow Fullscreen', // MISSING
- 		scale		: 'Skalering',
+		title			: 'Flash eginleikar',
+		chkPlay			: 'Avspælingin byrjar sjálv',
+		chkLoop			: 'Endurspæl',
+		chkMenu			: 'Ger Flash skrá virkna',
+		chkFull			: 'Allow Fullscreen', // MISSING
+ 		scale			: 'Skalering',
 		scaleAll		: 'Vís alt',
 		scaleNoBorder	: 'Eingin bordi',
@@ -411,38 +415,38 @@
 		access			: 'Script Access', // MISSING
 		accessAlways	: 'Always', // MISSING
-		accessSameDomain	: 'Same domain', // MISSING
-		accessNever	: 'Never', // MISSING
-		align		: 'Justering',
-		alignLeft	: 'Vinstra',
-		alignAbsBottom: 'Abs botnur',
-		alignAbsMiddle: 'Abs miðja',
+		accessSameDomain: 'Same domain', // MISSING
+		accessNever		: 'Never', // MISSING
+		align			: 'Justering',
+		alignLeft		: 'Vinstra',
+		alignAbsBottom	: 'Abs botnur',
+		alignAbsMiddle	: 'Abs miðja',
 		alignBaseline	: 'Basislinja',
-		alignBottom	: 'Botnur',
-		alignMiddle	: 'Miðja',
-		alignRight	: 'Høgra',
+		alignBottom		: 'Botnur',
+		alignMiddle		: 'Miðja',
+		alignRight		: 'Høgra',
 		alignTextTop	: 'Tekst toppur',
-		alignTop	: 'Ovast',
-		quality		: 'Quality', // MISSING
-		qualityBest		 : 'Best', // MISSING
-		qualityHigh		 : 'High', // MISSING
-		qualityAutoHigh	 : 'Auto High', // MISSING
-		qualityMedium	 : 'Medium', // MISSING
-		qualityAutoLow	 : 'Auto Low', // MISSING
-		qualityLow		 : 'Low', // MISSING
-		windowModeWindow	 : 'Window', // MISSING
-		windowModeOpaque	 : 'Opaque', // MISSING
-		windowModeTransparent	 : 'Transparent', // MISSING
-		windowMode	: 'Window mode', // MISSING
-		flashvars	: 'Variables for Flash', // MISSING
-		bgcolor	: 'Bakgrundslitur',
-		width	: 'Breidd',
-		height	: 'Hædd',
-		hSpace	: 'Høgri breddi',
-		vSpace	: 'Vinstri breddi',
-		validateSrc : 'Vinarliga skriva tilknýti (URL)',
-		validateWidth : 'Width must be a number.', // MISSING
-		validateHeight : 'Height must be a number.', // MISSING
-		validateHSpace : 'HSpace must be a number.', // MISSING
-		validateVSpace : 'VSpace must be a number.' // MISSING
+		alignTop		: 'Ovast',
+		quality			: 'Quality', // MISSING
+		qualityBest		: 'Best', // MISSING
+		qualityHigh		: 'High', // MISSING
+		qualityAutoHigh	: 'Auto High', // MISSING
+		qualityMedium	: 'Medium', // MISSING
+		qualityAutoLow	: 'Auto Low', // MISSING
+		qualityLow		: 'Low', // MISSING
+		windowModeWindow: 'Window', // MISSING
+		windowModeOpaque: 'Opaque', // MISSING
+		windowModeTransparent : 'Transparent', // MISSING
+		windowMode		: 'Window mode', // MISSING
+		flashvars		: 'Variables for Flash', // MISSING
+		bgcolor			: 'Bakgrundslitur',
+		width			: 'Breidd',
+		height			: 'Hædd',
+		hSpace			: 'Høgri breddi',
+		vSpace			: 'Vinstri breddi',
+		validateSrc		: 'Vinarliga skriva tilknýti (URL)',
+		validateWidth	: 'Width must be a number.', // MISSING
+		validateHeight	: 'Height must be a number.', // MISSING
+		validateHSpace	: 'HSpace must be a number.', // MISSING
+		validateVSpace	: 'VSpace must be a number.' // MISSING
 	},
 
@@ -478,18 +482,19 @@
 	elementsPath :
 	{
+		eleLabel : 'Elements path',  // MISSING
 		eleTitle : '%1 element' // MISSING
 	},
 
-	numberedlist : 'Talmerktur listi',
-	bulletedlist : 'Punktmerktur listi',
-	indent : 'Økja reglubrotarinntriv',
-	outdent : 'Minka reglubrotarinntriv',
+	numberedlist	: 'Talmerktur listi',
+	bulletedlist	: 'Punktmerktur listi',
+	indent			: 'Økja reglubrotarinntriv',
+	outdent			: 'Minka reglubrotarinntriv',
 
 	justify :
 	{
-		left : 'Vinstrasett',
-		center : 'Miðsett',
-		right : 'Høgrasett',
-		block : 'Javnir tekstkantar'
+		left	: 'Vinstrasett',
+		center	: 'Miðsett',
+		right	: 'Høgrasett',
+		block	: 'Javnir tekstkantar'
 	},
 
@@ -502,28 +507,29 @@
 		copyError	: 'Trygdaruppseting alnótskagans forðar tekstviðgeranum í at avrita tekstin. Vinarliga nýt knappaborðið til at avrita tekstin (CTRL+C).',
 		pasteMsg	: 'Vinarliga koyr tekstin í hendan rútin við knappaborðinum (<strong>CTRL+V</strong>) og klikk á <strong>Góðtak</strong>.',
-		securityMsg	: 'Trygdaruppseting alnótskagans forðar tekstviðgeranum í beinleiðis atgongd til avritingarminnið. Tygum mugu royna aftur í hesum rútinum.'
+		securityMsg	: 'Trygdaruppseting alnótskagans forðar tekstviðgeranum í beinleiðis atgongd til avritingarminnið. Tygum mugu royna aftur í hesum rútinum.',
+		pasteArea	: 'Paste Area' // MISSING
 	},
 
 	pastefromword :
 	{
-		confirmCleanup : 'The text you want to paste seems to be copied from Word. Do you want to clean it before pasting?', // MISSING
-		toolbar : 'Innrita frá Word',
-		title : 'Innrita frá Word',
-		error : 'It was not possible to clean up the pasted data due to an internal error' // MISSING
+		confirmCleanup	: 'The text you want to paste seems to be copied from Word. Do you want to clean it before pasting?', // MISSING
+		toolbar			: 'Innrita frá Word',
+		title			: 'Innrita frá Word',
+		error			: 'It was not possible to clean up the pasted data due to an internal error' // MISSING
 	},
 
 	pasteText :
 	{
-		button : 'Innrita som reinan tekst',
-		title : 'Innrita som reinan tekst'
+		button	: 'Innrita som reinan tekst',
+		title	: 'Innrita som reinan tekst'
 	},
 
 	templates :
 	{
-		button : 'Skabelónir',
-		title : 'Innihaldsskabelónir',
-		insertOption: 'Yvirskriva núverandi innihald',
-		selectPromptMsg: 'Vinarliga vel ta skabelón, ið skal opnast í tekstviðgeranum<br>(Hetta yvirskrivar núverandi innihald):',
-		emptyListMsg : '(Ongar skabelónir tøkar)'
+		button			: 'Skabelónir',
+		title			: 'Innihaldsskabelónir',
+		insertOption	: 'Yvirskriva núverandi innihald',
+		selectPromptMsg	: 'Vinarliga vel ta skabelón, ið skal opnast í tekstviðgeranum<br>(Hetta yvirskrivar núverandi innihald):',
+		emptyListMsg	: '(Ongar skabelónir tøkar)'
 	},
 
@@ -532,29 +538,26 @@
 	stylesCombo :
 	{
-		label : 'Typografi',
-		voiceLabel : 'Styles', // MISSING
-		panelVoiceLabel : 'Select a style', // MISSING
-		panelTitle1 : 'Block Styles', // MISSING
-		panelTitle2 : 'Inline Styles', // MISSING
-		panelTitle3 : 'Object Styles' // MISSING
+		label		: 'Typografi',
+		panelTitle	: 'Formatting Styles', // MISSING
+		panelTitle1	: 'Block Styles', // MISSING
+		panelTitle2	: 'Inline Styles', // MISSING
+		panelTitle3	: 'Object Styles' // MISSING
 	},
 
 	format :
 	{
-		label : 'Skriftsnið',
-		voiceLabel : 'Format', // MISSING
-		panelTitle : 'Skriftsnið',
-		panelVoiceLabel : 'Select a paragraph format', // MISSING
-
-		tag_p : 'Vanligt',
-		tag_pre : 'Sniðgivið',
-		tag_address : 'Adressa',
-		tag_h1 : 'Yvirskrift 1',
-		tag_h2 : 'Yvirskrift 2',
-		tag_h3 : 'Yvirskrift 3',
-		tag_h4 : 'Yvirskrift 4',
-		tag_h5 : 'Yvirskrift 5',
-		tag_h6 : 'Yvirskrift 6',
-		tag_div : 'Normal (DIV)' // MISSING
+		label		: 'Skriftsnið',
+		panelTitle	: 'Skriftsnið',
+
+		tag_p		: 'Vanligt',
+		tag_pre		: 'Sniðgivið',
+		tag_address	: 'Adressa',
+		tag_h1		: 'Yvirskrift 1',
+		tag_h2		: 'Yvirskrift 2',
+		tag_h3		: 'Yvirskrift 3',
+		tag_h4		: 'Yvirskrift 4',
+		tag_h5		: 'Yvirskrift 5',
+		tag_h6		: 'Yvirskrift 6',
+		tag_div		: 'Normal (DIV)' // MISSING
 	},
 
@@ -578,24 +581,23 @@
 	font :
 	{
-		label : 'Skrift',
-		voiceLabel : 'Font', // MISSING
-		panelTitle : 'Skrift',
-		panelVoiceLabel : 'Select a font' // MISSING
+		label		: 'Skrift',
+		voiceLabel	: 'Font', // MISSING
+		panelTitle	: 'Skrift'
 	},
 
 	fontSize :
 	{
-		label : 'Skriftstødd',
-		voiceLabel : 'Font Size', // MISSING
-		panelTitle : 'Skriftstødd',
-		panelVoiceLabel : 'Select a font size' // MISSING
+		label		: 'Skriftstødd',
+		voiceLabel	: 'Font Size', // MISSING
+		panelTitle	: 'Skriftstødd'
 	},
 
 	colorButton :
 	{
-		textColorTitle : 'Tekstlitur',
-		bgColorTitle : 'Bakgrundslitur',
-		auto : 'Automatiskt',
-		more : 'Fleiri litir...'
+		textColorTitle	: 'Tekstlitur',
+		bgColorTitle	: 'Bakgrundslitur',
+		panelTitle		: 'Colors', // MISSING
+		auto			: 'Automatiskt',
+		more			: 'Fleiri litir...'
 	},
 
@@ -646,28 +648,28 @@
 	scayt :
 	{
-		title : 'Spell Check As You Type', // MISSING
-		enable : 'Enable SCAYT', // MISSING
-		disable : 'Disable SCAYT', // MISSING
-		about : 'About SCAYT', // MISSING
-		toggle : 'Toggle SCAYT', // MISSING
-		options : 'Options', // MISSING
-		langs : 'Languages', // MISSING
-		moreSuggestions : 'More suggestions', // MISSING
-		ignore : 'Ignore', // MISSING
-		ignoreAll : 'Ignore All', // MISSING
-		addWord : 'Add Word', // MISSING
-		emptyDic : 'Dictionary name should not be empty.', // MISSING
-		optionsTab : 'Options', // MISSING
-		languagesTab : 'Languages', // MISSING
-		dictionariesTab : 'Dictionaries', // MISSING
-		aboutTab : 'About' // MISSING
+		title			: 'Spell Check As You Type', // MISSING
+		enable			: 'Enable SCAYT', // MISSING
+		disable			: 'Disable SCAYT', // MISSING
+		about			: 'About SCAYT', // MISSING
+		toggle			: 'Toggle SCAYT', // MISSING
+		options			: 'Options', // MISSING
+		langs			: 'Languages', // MISSING
+		moreSuggestions	: 'More suggestions', // MISSING
+		ignore			: 'Ignore', // MISSING
+		ignoreAll		: 'Ignore All', // MISSING
+		addWord			: 'Add Word', // MISSING
+		emptyDic		: 'Dictionary name should not be empty.', // MISSING
+		optionsTab		: 'Options', // MISSING
+		languagesTab	: 'Languages', // MISSING
+		dictionariesTab	: 'Dictionaries', // MISSING
+		aboutTab		: 'About' // MISSING
 	},
 
 	about :
 	{
-		title : 'About CKEditor', // MISSING
-		dlgTitle : 'About CKEditor', // MISSING
-		moreInfo : 'For licensing information please visit our web site:', // MISSING
-		copy : 'Copyright &copy; $1. All rights reserved.' // MISSING
+		title		: 'About CKEditor', // MISSING
+		dlgTitle	: 'About CKEditor', // MISSING
+		moreInfo	: 'For licensing information please visit our web site:', // MISSING
+		copy		: 'Copyright &copy; $1. All rights reserved.' // MISSING
 	},
 
@@ -677,8 +679,8 @@
 	fakeobjects :
 	{
-		anchor : 'Anchor', // MISSING
-		flash : 'Flash Animation', // MISSING
-		div : 'Page Break', // MISSING
-		unknown : 'Unknown Object' // MISSING
+		anchor	: 'Anchor', // MISSING
+		flash	: 'Flash Animation', // MISSING
+		div		: 'Page Break', // MISSING
+		unknown	: 'Unknown Object' // MISSING
 	},
 
@@ -687,11 +689,11 @@
 	colordialog :
 	{
-		title : 'Select color', // MISSING
-		highlight : 'Highlight', // MISSING
-		selected : 'Selected', // MISSING
-		clear : 'Clear' // MISSING
-	},
-
-	toolbarCollapse : 'Collapse Toolbar', // MISSING
-	toolbarExpand : 'Expand Toolbar' // MISSING
+		title		: 'Select color', // MISSING
+		highlight	: 'Highlight', // MISSING
+		selected	: 'Selected', // MISSING
+		clear		: 'Clear' // MISSING
+	},
+
+	toolbarCollapse	: 'Collapse Toolbar', // MISSING
+	toolbarExpand	: 'Expand Toolbar' // MISSING
 };
